Bug 232899 - sound problems (hda-intel and kernel > 2.6.18)
sound problems (hda-intel and kernel > 2.6.18)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-19 08:25 EDT by esteve
Modified: 2008-05-06 15:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsconfig.log file (45.92 KB, application/octet-stream)
2007-05-17 04:24 EDT, esteve
no flags Details
new scsconfig.log file after the changes (46.58 KB, application/octet-stream)
2007-05-25 06:44 EDT, esteve
no flags Details
new scsconfig.log (with the driver 1.0.14rc4) (47.84 KB, application/octet-stream)
2007-05-25 13:13 EDT, esteve
no flags Details
new scsconfig.lof file with the asla-driver-1.0.14 and alsa-lib-1.0.14a-0.6 (46.68 KB, application/octet-stream)
2007-06-27 06:28 EDT, esteve
no flags Details
new scsconfig.log with the 2962 kernel and 0.14 alsa-drivers (46.68 KB, text/plain)
2007-07-02 10:14 EDT, esteve
no flags Details

  None (edit)
Description esteve 2007-03-19 08:25:32 EDT
Description of problem:
On an ACER (Ferrari 1000) and FC6-X86_64, with the kernel 2.6.18-1.2798 I can
hear the sound but when I updated the kernel to  2.6.19 or 2.6.20-1.2925 there
is not sound.

Actually with the kernel 2.6.20-1.2925 and all the components updated, I can
hear the sound test of system-config-soundcard  only with the left headphone.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.13-1.fc6
alsa-utils-1.0.13-1.fc6

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Stransky 2007-03-21 09:44:28 EDT
Can you please check packages alsa-lib-1.0.14, alsa-utils-1.0.14 from devel or
from my test page? (http://people.redhat.com/stransky/alsa/)
Comment 2 esteve 2007-03-27 10:29:37 EDT
After updating alsa-lib and alsa-utils to 1.0.14-0.1.rc1.fc6, the problem remains
even worse (no sound on the let headphone)
Comment 3 Martin Stransky 2007-03-27 10:39:34 EDT
I've asked you to update to rc3/rc2, 1.0.14-0.1.rc1.fc6 are packages from fc6.
Comment 4 esteve 2007-03-27 11:34:49 EDT
With
 alsa-lib-1.0.14-0.1.rc3
 alsa-utils-1.0.14-0.1.rc2
 kernel 2.6.20-1.2937.fc6
the problem remains, there is not sound even on the left headphone
Comment 5 esteve 2007-03-28 10:10:32 EDT
Please note that
 alsa-lib-1.0.14-0.1.rc3
 alsa-utils-1.0.14-0.1.rc2
 kernel 2.6.20-1.2937.fc6
solve a  similar problem (bug #231414 ) on a chip ATI SB450 but
the Acer Ferrari-1000 has an ATI RS485 
Comment 6 Martin Stransky 2007-05-16 08:26:09 EDT
Can you please attach /root/scsconfig.log? (it's generated by
system-config-soundcard, on the "System" page)
Comment 7 esteve 2007-05-17 04:24:55 EDT
Created attachment 154899 [details]
scsconfig.log file
Comment 8 Martin Stransky 2007-05-22 10:40:54 EDT
You have installed user-space packages alsa-lib-1.0.14-0.1.rc3,
alsa-lib-1.0.14-0.1.rc1.fc6 and kernel drivers 1.0.14rc1.

So please remove your user-space packages, check my page
(http://people.redhat.com/stransky/alsa/) and install the rc4 ones (kernel,
alsa-lib and alsa-utils packages).
Comment 9 esteve 2007-05-25 06:44:25 EDT
Created attachment 155443 [details]
new scsconfig.log file after the changes

After doing that, the problem remains.
Please find attached the new scsconfig.log file
(Note that although I have installed the alsa-driver-1.0.14-60_rc4.fc6 ,
alsa-driver-devel-1.0.14-60_rc4.fc6 and
alsa-kmdl-2.6.20-1.2948.fc6-1.0.10-60_rc4.fc6 it appears the alsa-driver
1.0.14rc3 in the scsconfig.log)
Comment 10 Martin Stransky 2007-05-25 06:54:12 EDT
yep, you still use the 1.0.14rc3 driver.
please try to compile it by yourself, from tarball (but I'm not sure if it
really helps you)
Comment 11 esteve 2007-05-25 08:21:13 EDT
(In reply to comment #10)
> yep, you still use the 1.0.14rc3 driver.
> please try to compile it by yourself, from tarball (but I'm not sure if it
> really helps you)

I have compiled from tarball the alsa-driver-1.0.14rc4, and installed 
with make , make install but the 1.0.14rc3 driver is there and it appears again
in he scsconfig.log ¿what is wrong?.
Comment 12 Martin Stransky 2007-05-25 08:24:24 EDT
did you reboot your box?
Comment 13 esteve 2007-05-25 08:32:46 EDT
(In reply to comment #12)
> did you reboot your box?
yes, several times. 
Comment 14 esteve 2007-05-25 13:13:27 EDT
Created attachment 155466 [details]
new scsconfig.log  (with the driver 1.0.14rc4)

After the compilation of
alsa-driver-1.0.14-60_rc4.fc6 , make install puts the drivers in
/lib/modules/2.6.20-1.2948.fc6/kernel/sound
whereas the system loks at /lib/modules/2.6.20-1.2948.fc6/updates/sound
So I copied /lib/modules/2.6.20-1.2948.fc6/kernel/sound to
/lib/modules/2.6.20-1.2948.fc6/updates/sound 
and now system-config-soundcard recognizes the 1.0.14rcd drivers.
But there is not sound. I send you the new scsconfig.log file
Comment 15 Martin Stransky 2007-06-26 11:08:15 EDT
Can you please check the latest drivers? (1.0.14 final, from
http://people.redhat.com/stransky/alsa/)
Comment 16 esteve 2007-06-27 06:28:39 EDT
Created attachment 157992 [details]
new scsconfig.lof file with the asla-driver-1.0.14 and alsa-lib-1.0.14a-0.6
Comment 17 esteve 2007-06-27 07:40:25 EDT
No sound again. Please find attached the new scsconfig.log file.

I suspect that all is due to a problem with the 64bit kernel. In fact
there is some one who claims that has not problems with the sound on an Acer
Ferrari 1000 with ubuntu-7.04 and that has installed the official WindowsXP
Ferrari 1000  wlan broadcom driver using ndiswrapper
(rbak.demon.nl/ubuntu/acer_ferrari.php). But when I try to install the same
driver I get a message:

--kernel is 64 bit, but Windows driver is not 64-bit.
-- couldn't load driver bcmwl5 

So, surely he (she) has installed the 32 bit kernel.
Comment 18 Martin Stransky 2007-06-27 07:45:04 EDT
hm. I'll move it to kernel because it looks like a regression there. It would be
great if you can confirm that the old kernel still works fine for you.
Comment 19 Chuck Ebbert 2007-06-27 16:57:00 EDT
Latest kernel is now 2962, was that tested?
Comment 20 esteve 2007-06-29 06:24:35 EDT
No, but:
1) Ruurt Bak (see rbak.demon.nl/ubuntu/acer_ferrari.php) has not problems with
the sound but he told me that he is using  the ubuntu 32-bit version.
2) Another user told me that he is using his own compilation of the 2.6.20-1.2952   
64-bit kernel and that has sound
So probably the problem is on the Fedora rpm that has mis configured somthing ?
Comment 21 Chuck Ebbert 2007-06-29 13:48:29 EDT
(In reply to comment #20)
> No, but:
> 1) Ruurt Bak (see rbak.demon.nl/ubuntu/acer_ferrari.php) has not problems with
> the sound but he told me that he is using  the ubuntu 32-bit version.
> 2) Another user told me that he is using his own compilation of the
2.6.20-1.2952   
> 64-bit kernel and that has sound

Was that one tested? Major Intel hda fixes went into that version...

Comment 22 esteve 2007-07-02 10:12:19 EDT
With the 2.6.20-1.2962 fedora kernel, things are even worse.

I have re installed the alsa-1.0.14 drivers (since the redhat kernel comes with
the oldest .rc1 version). Please see attached the new scsconfig.log file.
 
Now I can't use the camera even after recompiling the gspcav1 drivers and the
spcaview fron Michael Xhaard which worked normally  with the 2952 kernel. 
By the way, there is another problem with the wifi because the windows driver
for the amd_64 uses more memory than that of the fedora kernel so ndiswrapper
gets out of memory (but as I have seen on the net this is a general problem with
fedora an the windows drivers that need more than 4M).
Comment 23 esteve 2007-07-02 10:14:04 EDT
Created attachment 158330 [details]
new scsconfig.log with the 2962 kernel and 0.14 alsa-drivers
Comment 24 Bug Zapper 2008-04-04 02:35:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 25 Bug Zapper 2008-05-06 15:22:39 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.